#include <iostream>

using namespace std;

int main()
{
    long long int n;
    cin>>n;
    long long int l, stalaktiti[n];
    cin>>l;
    for(long int i = 0;i<n;i++){
        cin>>stalaktiti[i];
        if(stalaktiti[i]<l){
                cout<<i+1;
                return 0;
        }

    }
    cout<<-1;
    return 0;
}